Hoppa till huvudinnehåll
POST
/
openai
/
embeddings
Creates an embedding vector representing the input text.
curl --request POST \
  --url https://api.acedata.cloud/openai/embeddings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "text-embedding-3-small",
  "input": "<string>",
  "encoding_format": "float",
  "dimensions": 2
}
'
{
  "object": "list",
  "data": [
    {
      "object": "embedding",
      "index": 0,
      "embedding": [
        0.0023064255,
        -0.009327292,
        0.015271,
        0.001234
      ]
    }
  ],
  "model": "text-embedding-3-small",
  "usage": {
    "prompt_tokens": 9,
    "total_tokens": 9
  },
  "created": 1714500000
}

Auktoriseringar

Authorization
string
header
obligatorisk

Rubriker

accept
enum<string>

Specifies the format of the response from the server.

Tillgängliga alternativ:
application/json

Kropp

application/json
model
enum<string>
obligatorisk

ID of the embedding model to use (e.g., text-embedding-3-small, text-embedding-3-large).

Tillgängliga alternativ:
text-embedding-3-small,
text-embedding-3-large,
text-embedding-ada-002
input
string
obligatorisk

Input to embed: a single string, an array of strings, or token arrays.

encoding_format
enum<string>
standard:float

Format of the returned embeddings.

Tillgängliga alternativ:
float,
base64
dimensions
integer

Optional output embedding size when supported by the model.

Obligatoriskt intervall: x >= 1

Svar

Embeddings created successfully.

object
enum<string>
obligatorisk

Type of the returned object.

Tillgängliga alternativ:
list
data
object[]
obligatorisk
model
string
obligatorisk

Model used to generate the embeddings.

usage
object
obligatorisk
created
integer
obligatorisk

Unix timestamp (seconds) when the embeddings were created.